package utils;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 *
 * @author alencar
 */
public class FiltroArquivo extends FileFilter{
    
        private String filter;
        private String descricao;
        
        public FiltroArquivo( String filter, String descricao ){   
            this.filter = filter;   
            this.descricao = descricao;         
        }   
        
        public boolean accept(File f) {
           if( f != null ){   
              if( f.isDirectory() ){   
                 return true;   
              }   

              String extension = getExtension( f );   
              if( extension != null && extension.equals( filter.toLowerCase() ) ){   
                 return true;   
              }   
           }   
            return false;           
       }

        public String getDescription() {
            return descricao;
        }
        
        public String getExtension( File f ){   
            if( f != null ){   
                String fileName = f.getName();   
                int i = fileName.lastIndexOf( '.' );   
                if( i > 0 && i < fileName.length() - 1 ){   
                    return fileName.substring( i + 1 ).toLowerCase();   
                }   
            }         
            return null;   
        }
}
